<template>
  <div class="index">
    <h3>Recipes Index</h3>

    <div class="table-responsive">
      <router-link to="/recipes/new">Add recipe</router-link>
      <table class="table table-striped table-sm">
        <thead>
          <tr>
            <th></th>
            <th>Title</th>
            <th>Description</th>
            <th colspan="3"></th>
          </tr>
        </thead>
        <tbody>
           <tr v-for="x in filterBy(recipes, filterInput)" :key="x.uuid">
            <td><span v-if="x.images"><img :src="'http://localhost:3001' + x.images.small" style="max-width:100px;max-height:150px;"></span>
            <span v-else>No image available</span>
            </td>
            <td>{{x.title}}</td>
            <td>{{x.description}}</td>
            <td><router-link v-bind:to="'./recipes/show/'+x.uuid">Show</router-link></td>
            <td><router-link v-bind:to="'./recipes/update/'+x.uuid">Update</router-link></td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
export default {
  name: 'index',
  data () {
    return {
      recipes: [],
      filterInput: ''
    }
  },
  methods: {
    fetchRecipes () {
      this.$http
        .get('http://localhost:3001/recipes')
        .then(function (response) {
          this.recipes = response.body
        })
    },
    filterBy (list, value) {
      return list.filter(function (recipe) {
        return recipe.title.indexOf(value) > -1
      })
    }
  },
  created: function () {
    this.fetchRecipes()
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
